from django.urls import path
from .views import ListCreateDriversView, DriversDetailView, KartsDetailView, ListCreateKartsView, \
    ParamsDetailView, ListCreateRelaysView, RelaysDetailView, RelaysByKartDetailView
# , ListCreateRulesView, RulesDetailView, \
# ListCreateKartsView, KartsDetailView, ListCreateRelaysView, RelaysDetailView, ListCreateRacesView, \
# RacesDetailView

urlpatterns = [
    path('drivers/', ListCreateDriversView.as_view(), name="drivers-list-create"),
    path('drivers/<int:pk>/', DriversDetailView.as_view(), name="drivers-detail"),
    path('karts/', ListCreateKartsView.as_view(), name="karts-list-create"),
    path('karts/<int:pk>/', KartsDetailView.as_view(), name="drivers-detail"),
    # path('karts/<int:pk>/', KartsDetailView.as_view(), name="karts-detail"),
    # path('rules/', ListCreateRulesView.as_view(), name="rules-list-create"),
    path('params/<int:pk>/', ParamsDetailView.as_view(), name="rules-detail"),
    path('relays/', ListCreateRelaysView.as_view(), name="relays-list-create"),
    path('relaysbykart/<int:kart>/', RelaysByKartDetailView.as_view(), name="relays-detail"),
    path('relays/<int:pk>/', RelaysDetailView.as_view(), name="relays-detail"),
    # path('races/', ListCreateRacesView.as_view(), name="races-list-create"),
    # path('races/<int:pk>/', RacesDetailView.as_view(), name="races-detail"),
]
